diff --git a/tests/p_shim/01_shim_secureboot_signed.sh b/tests/p_shim/01_shim_secureboot_signed.sh
index 6eed34c..7da667f 100755
--- a/tests/p_shim/01_shim_secureboot_signed.sh
+++ b/tests/p_shim/01_shim_secureboot_signed.sh
@@ -7,6 +7,10 @@ if [[ "$centos_ver" = "7" && "$arch" = "x86_64" ]] ; then
   t_InstallPackage pesign shim
   pesign --show-signature --in /boot/efi/EFI/centos/shim.efi|grep -q 'Microsoft Windows UEFI Driver Publisher'
   t_CheckExitStatus $?
+elif [[ "$centos_ver" -ge "8" && "$arch" = "x86_64" ]] ; then
+  t_InstallPackage pesign shim
+  pesign --show-signature --in /boot/efi/EFI/centos/shimx64.efi |grep -q 'Microsoft Windows UEFI Driver Publisher'
+  t_CheckExitStatus $?
 else
   t_Log "previous versions than CentOS 7 - or not x86_64 arch - aren't using shim/secureboot ... skipping"
   exit 0